Subject: bug#23628: closed (Re: bug#23628: 25.1.50; wrong saving of unicode characters into kill ring)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 27 May 2016 09:44:02 +0000

Your bug report

#23628: 25.1.50; wrong saving of unicode characters into kill ring

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23628: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23628
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23628: 25.1.50; wrong saving of unicode characters into kill ring
From: Eli Zaretskii <[email-masked]>
To: Peter Münster <[email-masked]>
Cc: [email-masked]
Date: Fri, 27 May 2016 12:43:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Peter Münster <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 27 May 2016 11:29:16 +0200
> 
> On Fri, May 27 2016, Peter Münster wrote:
> 
> > On Fri, May 27 2016, Eli Zaretskii wrote:
> >
> >> Strange.  Do you have some clipboard-related agent active that tries
> >> to do something with stuff pasted from the clipboard?
> >
> > xcb is running. (no problem since 1995...)
> 
> I've found another one: vncviewer
> 
> The copy-paste-problem happens only, when at least one vncviewer is
> running.
> 
> After further investigation, copy-paste in xterm has the same problem,
> that means, that this is not (or not only) an emacs-bug.
> 
> I'll report it to the vncviewer list.
> 
> Sorry about the needless bug-report.

OK, thanks.  Closing the bug report.

Subject: 25.1.50; wrong saving of unicode characters into kill ring
From: Peter Münster <[email-masked]>
To: [email-masked]
Date: Fri, 27 May 2016 08:57:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

When inserting "€" in a buffer, killing it, than reinserting (yank) it,
I get "?" instead of "€".

This is needed for reproducing:

1.) Call "LC_ALL=en_GB.utf8 emacs -Q"

2.) Evaluate the following line:

    (setq select-active-regions nil)

3.) Type "€"

4.) Kill the "€" (select it and than C-w)

5.) C-y

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY
GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK2 X11

Important settings:
  value of $LC_ALL: en_GB.utf8
  value of $LC_CTYPE: en_GB.utf8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

TIA for investigation,
-- 
           Peter